%{!?python_sitelib:  %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_abi:      %define python_abi %(%{__python} -c "import sys; print sys.version[:3]")}

%define modn   Twisted
%define modv   11.1
%define modr   0


Summary:       An event-driven networking engine for Python
Name:          python-%{modn}
Version:       %{modv}.%{modr}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       http://pypi.python.org/packages/source/T/%{modn}/%{modn}-%{modv}.%{modr}.tar.bz2
URL:           http://twistedmatrix.com/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Twisted Matrix Laboratories <twisted-python@twistedmatrix.com>
Provides:      python(%{modn}) = %{modv}.%{modr}
Provides:      python(twisted) = %{modv}.%{modr}
Provides:      python(twisted.core) = %{modv}.%{modr}
Provides:      python(twisted.conch) = %{modv}.%{modr}
Provides:      python(twisted.lore) = %{modv}.%{modr}
Provides:      python(twisted.mail) = %{modv}.%{modr}
Provides:      python(twisted.names) = %{modv}.%{modr}
Provides:      python(twisted.news) = %{modv}.%{modr}
Provides:      python(twisted.pair) = %{modv}.%{modr}
Provides:      python(twisted.runner) = %{modv}.%{modr}
Provides:      python(twisted.web) = %{modv}.%{modr}
Provides:      python(twisted.words) = %{modv}.%{modr}
Requires:      python(zope.interface) >= 3.0.1
BuildRequires: python-devel >= 2.4 python-setuptools
BuildRequires: python(zope.interface) >= 3.0.1
Obsoletes:     python-TwistedSumo

%description
Twisted is an extensible Python 2.4+ framework for internet applications
with special focus on event-based network programming and multi-protocol
integration. It includes a number of modules and supports integration of
the Tk, GTK+, Qt, Mac OS X, Win32 or wxPython event loop with its main
event loop.


%package       doc
Summary:       The Twisted documentation
Group:         Documentation

%description   doc
This package contains the complete Twisted documentation and programming
examples.


%prep
%setup -q -n %{modn}-%{modv}.%{modr}

# Prepare docs etc.
%{__cp} -a doc doc_inst
%{__rm} -rf doc/words/man doc_inst/historic
find doc_inst -depth -type d -name "man" -exec %{__rm}    -rf {} \;
find doc_inst -depth -type f             -exec %{__chmod} a-x {} \;

# Fix path to Python
for FILE in `find doc_inst -type f -exec fgrep -l "/bin/python2" {} \;`; do
  %{__perl} -i -pe 's+(/.*)?/bin/python2\..+%{__python}+g' ${FILE}
done


%build
%{__python} setup.py build


#%check
#bin/trial twisted


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1

%{__python} setup.py install \
	--skip-build -O1     \
	--root ${RPM_BUILD_ROOT}

%{__install} -m 0644 doc/*/man/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc INSTALL LICENSE NEWS README
%{_bindir}/cftp
%{_bindir}/ckeygen
%{_bindir}/conch
%{_bindir}/lore
%{_bindir}/mailmail
%{_bindir}/manhole
%{_bindir}/pyhtmlizer
%{_bindir}/tap2deb
%{_bindir}/tap2rpm
%{_bindir}/tapconvert
%{_bindir}/tkconch
%{_bindir}/trial
%{_bindir}/twistd
%{_mandir}/man1/ckeygen.1*
%{_mandir}/man1/cftp.1*
%{_mandir}/man1/conch.1*
%{_mandir}/man1/tkconch.1*
%{_mandir}/man1/mailmail.1*
%{_mandir}/man1/lore.1*
%{_mandir}/man1/manhole.1*
%{_mandir}/man1/twistd.1*
%{_mandir}/man1/tap2deb.1*
%{_mandir}/man1/tapconvert.1*
%{_mandir}/man1/pyhtmlizer.1*
%{_mandir}/man1/trial.1*
%{_mandir}/man1/tap2rpm.1*
%{python_sitearch}/twisted
%{python_sitearch}/*.egg-info

%files doc
%defattr(-,root,root)
%doc doc_inst/*


%changelog
* Mon May 07 2012 Peter Pramberger <peterpramb@member.fsf.org> - 11.1.0-1
- New version (11.1.0)

* Fri Apr 08 2011 Peter Pramberger <peterpramb@member.fsf.org> - 11.0.0-1
- New version (11.0.0)

* Thu Feb 10 2011 Peter Pramberger <peterpramb@member.fsf.org> - 10.2.0-1
- New version (10.2.0)

* Tue Apr 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 10.0.0-1
- New version (10.0.0)

* Tue Jan 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 8.2.0-1
- New version (8.2.0)

* Wed Nov 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 8.1.0-1
- Fixed versioning

* Tue Nov 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 8.1-1
- Initial build
